%define upstream_name    Class-Std-Fast
%define upstream_version v0.0.8

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 15

Summary:    faster but less secure than Class::Std
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Std)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Module::Build::Compat)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(version)

BuildArch: noarch


Requires: perl(Class::Std)
Requires: perl(version)

%description
Class::Std::Fast allows you to use the beautiful API of Class::Std in a
faster way than Class::Std does.

You can get the object's ident via scalarifying your object.

Getting the objects ident is still possible via the ident method, but it's
faster to scalarify your object.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.0.8-15.mga10
+ Revision: 2198002
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.0.8-14.mga9
+ Revision: 1802516
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.0.8-13.mga8
+ Revision: 1493556
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.0.8-12.mga7
+ Revision: 1266513
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.0.8-11.mga6
+ Revision: 1024250
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.0.8-10.mga6
+ Revision: 948464
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 0.0.8-9.mga5
+ Revision: 787855
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.0.8-8.mga5
+ Revision: 744999
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.8-7.mga5
+ Revision: 683943
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.0.8-6.mga4
+ Revision: 510158
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.0.8-5.mga3
+ Revision: 364521
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 0.0.8-4.mga1
+ Revision: 33629
- mageia rebuild
- imported package perl-Class-Std-Fast


* Sun Feb 14 2010 Jérôme Quelin <jquelin@mandriva.org> 0.0.8-4mdv2010.1
+ Revision: 505698
- rebuild using %%perl_convert_version

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.0.8-3mdv2010.0
+ Revision: 430334
- rebuild

* Wed Aug 13 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.0.8-2mdv2009.0
+ Revision: 271528
- fix dependencies
- fix version

* Wed Aug 13 2008 Guillaume Rousse <guillomovitch@mandriva.org> v0.0.8-1mdv2009.0
+ Revision: 271303
- import perl-Class-Std-Fast


* Wed Aug 13 2008 Guillaume Rousse <guillomovitch@mandriva.org> v0.0.8-1mdv2009.0
- initial mdv release, generated with cpan2dist

